"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lightgalleryPlugin = void 0;
const utils_1 = require("@vuepress/utils");
const vuepress_plugin_sass_palette_1 = require("vuepress-plugin-sass-palette");
const vuepress_shared_1 = require("vuepress-shared");
const utils_2 = require("./utils");
const lightgalleryPlugin = (options = {}) => (app) => {
    if (app.env.isDebug)
        utils_2.logger.info(`Options: ${options.toString()}`);
    const plugins = options.plugins || ["pager", "share", "zoom"];
    (0, vuepress_plugin_sass_palette_1.useSassPalettePlugin)(app, { id: "hope" });
    return {
        name: "vuepress-plugin-lightgallery",
        define: () => ({
            IMAGE_SELECTOR: options.selector || ".theme-default-content :not(a) > img",
            LIGHT_GALLERY_DELAY: options.delay || 500,
            LIGHT_GALLERY_OPTIONS: options.options || {},
            LIGHT_GALLERY_AUTOPLAY: plugins.includes("autoplay"),
            LIGHT_GALLERY_FULLSCREEN: plugins.includes("fullscreen"),
            LIGHT_GALLERY_PAGER: plugins.includes("pager"),
            LIGHT_GALLERY_THUMBNAIL: plugins.includes("thumbnail"),
            LIGHT_GALLERY_ROTATE: plugins.includes("rotate"),
            LIGHT_GALLERY_SHARE: plugins.includes("share"),
            LIGHT_GALLERY_ZOOM: plugins.includes("zoom"),
        }),
        extendsBundlerOptions: (config, app) => {
            (0, vuepress_shared_1.addViteOptimizeDepsInclude)({ app, config }, [
                "lightgallery",
                ...plugins.map((name) => `lightgallery/plugins/${name}`),
            ]);
        },
        clientConfigFile: utils_1.path.resolve(__dirname, "../client/config.js"),
    };
};
exports.lightgalleryPlugin = lightgalleryPlugin;
//# sourceMappingURL=plugin.js.map